=== debian/changelog ===
ocamlrss (2.2.1-3build16) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:33:05 +0000

ocamlrss (2.2.1-3build15) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 19:03:17 +0200

ocamlrss (2.2.1-3build14) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2019 08:30:20 +0200

ocamlrss (2.2.1-3build13) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 14:52:09 +0200

ocamlrss (2.2.1-3build12) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Jul 2019 23:28:28 +0200

ocamlrss (2.2.1-3build11) cosmic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jun 2018 12:52:53 +0200

ocamlrss (2.2.1-3build10) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:40:57 +0200

ocamlrss (2.2.1-3build9) artful; urgency=high

  * No change rebuild against new ocaml abis.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Aug 2017 02:11:24 +0100

ocamlrss (2.2.1-3build8) artful; urgency=high

  * No change rebuild against ocamlnet.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Jul 2017 14:13:31 +0100

ocamlrss (2.2.1-3build7) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 01:29:45 +0100

ocamlrss (2.2.1-3build6) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 20:34:18 +0100

ocamlrss (2.2.1-3build5) yakkety; urgency=medium

  * No-change rebuild for ocaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:11:00 +0000

ocamlrss (2.2.1-3build4) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:40:48 -0600

ocamlrss (2.2.1-3build3) wily; urgency=medium

  * No-change ocaml rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:57:15 +0000

ocamlrss (2.2.1-3build2) utopic; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 May 2014 14:59:39 +0100

ocamlrss (2.2.1-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:02:08 +0000

ocamlrss (2.2.1-3) unstable; urgency=medium

  * Really fix FTBFS on bytecode architectures (Closes: #731732)

 -- Prach Pongpanich <prachpub@gmail.com>  Wed, 18 Dec 2013 00:01:45 +0700

ocamlrss (2.2.1-2) unstable; urgency=medium

  * Add d/patches/0001-Fix-FTBFS-on-bytecode-architectures.patch
    (Closes: #731732)
  * Bump Standards-Version to 3.9.5

 -- Prach Pongpanich <prachpub@gmail.com>  Mon, 16 Dec 2013 16:40:15 +0700

ocamlrss (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Prach Pongpanich <prachpub@gmail.com>  Wed, 12 Jun 2013 01:48:53 +0700

ocamlrss (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #678218)
  * Adopt an initial package from Sylvain Le Gal <gildor@debian.org>

 -- Prach Pongpanich <prachpub@gmail.com>  Thu, 21 Mar 2013 13:21:36 +0700
