=== debian/watch ===
version=3
https://github.com/zoggy/ocamlrss/tags .*/release-(\d[\d\.]+)\.(?:zip|tar\.gz)
