=== debian/changelog ===
ocamlrss (2.2.2-3build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:04:45 +0100

ocamlrss (2.2.2-3build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:01:36 +0100

ocamlrss (2.2.2-3) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 5.2.0 (Closes: #1073902)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2024 05:26:35 +0200

ocamlrss (2.2.2-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 11:37:41 +0200

ocamlrss (2.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-* to point to salsa
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 04:17:28 +0200
