=== debian/control ===
Source: ocamlrss
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Prach Pongpanich <prachpub@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 dh-ocaml,
 libxmlm-ocaml-dev,
 libocamlnet-ocaml-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: ocaml
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlrss.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlrss
Homepage: https://zoggy.github.io/ocamlrss

Package: librss-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: RSS 2.0 parser and printer for OCaml (runtime)
 OCaml-RSS is a small OCaml library providing functions to parse and print RSS
 2.0 files. The parser can also parse some RDF files, but some fields are not
 taken into account. There is still some work to do (add missing RSS 2.0
 attributes, add convenient functions).
 .
 OCaml-RSS was previously part of Cameleon but is now developed separately
 and is findlib compatible.

Package: librss-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: RSS 2.0 parser and printer for OCaml (development)
 This package is a small OCaml library providing functions to parse and print
 RSS 2.0 files. The parser can also parse some RDF files, but some fields are
 not taken into account. There is still some work to do (add missing RSS 2.0
 attributes, add convenient functions).
 .
 OCaml-RSS was previously part of Cameleon but is now developed separately
 and is findlib compatible.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use OCaml-RSS.
