=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk


DESTDIR := $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)


export OCAMLFIND_DESTDIR=$(DESTDIR)
%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) byte doc
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
endif

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install
	rm -f debian/tmp$(OCAML_STDLIB_DIR)/rss/LICENSE
